/**
 * 项目：互联网医疗
 * 模型分组：服务管理
 * 模型名称：续方开药订单记录信息表
 * @Author: xiongwei
 * @Date: 2023-09-05 09:42:00
 */

package com.xwd.hospital.server.service.impl;

import java.io.Serializable;
import java.util.List;
import java.util.ArrayList;
import java.util.Collection;

import jakarta.annotation.Resource;
import com.baomidou.mybatisplus.core.enums.SqlMethod;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.extension.toolkit.SqlHelper;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;
import com.xwd.hospital.server.service.PrescriptionOrderRecordService;
import com.xwd.hospital.server.repository.PrescriptionOrderRecordMapper;
import com.xwd.hospital.server.repository.base.PrescriptionOrderRecordBaseMapper;
import com.xwd.hospital.server.domain.PrescriptionOrderRecord;
import com.xwd.hospital.server.rest.req.PrescriptionOrderRecordParam;

@Service
public class PrescriptionOrderRecordServiceImpl extends ServiceImpl<PrescriptionOrderRecordMapper, PrescriptionOrderRecord> implements PrescriptionOrderRecordService {

    @Override
    public int updateAllFieldsById(PrescriptionOrderRecord entity) {
        return this.getBaseMapper().updateAllFieldsById(entity);
    }

    /**
     * 批量插入
     *
     * @param entityList ignore
     * @param batchSize  ignore
     * @return ignore
     */
    @Transactional(rollbackFor = Exception.class)
    @Override
    public boolean saveBatch(Collection<PrescriptionOrderRecord> entityList, int batchSize) {
        String sqlStatement = SqlHelper.getSqlStatement(PrescriptionOrderRecordBaseMapper.class, SqlMethod.INSERT_ONE);
        return executeBatch(entityList, batchSize, (sqlSession, entity) -> sqlSession.insert(sqlStatement, entity));
    }


}
